### Function

# Fwupd Device array_ensure_parents

since: 1.3.7

#### Declaration [src]

    void
    fwupd_device_array_ensure_parents (
      GPtrArray* devices
    )

#### Description [src]

Sets the parent object on all devices in the array using the parent ID.

Available since: 1.3.7

#### Parameters

`devices`

  Type: An array of `None`

  Devices.

  The data is owned by the caller of the function.